@charset "utf-8";

.calendar-box {
  width: 1133px;
  max-width: calc(100% - 60px);
  margin: 80px auto 60px;
  overflow-x: auto;
}
.calendar-box::-webkit-scrollbar{
  display: none;
}
.calendar-list {
  display: flex;
  justify-content: flex-start;
  gap: 16px;
  width: 100%;
  max-width: 100%;
  margin-inline: auto;
  padding: 4px;
  border-radius: 50px;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  background-color: var(--white);
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE and Edge */
  cursor: grab;
}
.calendar-list::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}
.calendar-item {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  width: 65px;
  aspect-ratio: 1 / 1;
  padding-top: 11px;
  text-align: center;
  border-radius: 50px;
  background-color: var(--white);
  border: 1px solid var(--img-frame-border);
  transition: all 0.3s ease-in-out;
}
.calendar-item.today {
  background-color: var(--main-color-green);
  color: var(--white);
  border: none;
}
.calendar-item.saturday:not(.today) {
  color: #3B82F6;
}
.calendar-item.sunday:not(.today) {
  color: var(--alert);
}
.calendar-item .date {
  display: flex;
  justify-content: center;
}
.calendar-item .month {
  font-size: 1.2rem;
  letter-spacing: 0.1em;
}
.calendar-item .day {
  font-size: 2.3rem;
}
.calendar-item .dow {
  font-size: 1rem;
  line-height: 1;
}


.section-event .tab-contents {
  padding-bottom: 72px;
}
.section-event .tab-list {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 16px;
  border-bottom: 1px solid var(--green-500);
  max-width: 1410px;
  margin-inline: auto;
}
.section-event .tab-list li {
  width: 194px;
  height: 56px;
  background-color: var(--white);
}
.section-event .tab-list li a {
  position: relative;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  color: var(--main-color-green);
  font-size: 1.6rem;
  border: 1px solid var(--green-500);
  border-bottom: none;
  border-radius: 4px 4px 0 0;
  transition: border 0.3s ease-in-out, background-color 0.3s ease-in-out,font-weight 0.3s ease-in-out,font-size 0.3s ease-in-out;
}
@media (any-hover: hover) {
  .section-event .tab-list li a:hover {
    opacity: 1;
    border: none;
    border-bottom: none;
    background-color: var(--main-color-green);
    color: var(--white);
  }
}
.section-event .tab-list li:has(a.active) {
  height: 64px;
}
.section-event .tab-list li a.active {
  padding-top: 8px;
  color: var(--white);
  font-size: 1.8rem;
  font-weight: bold;
  border: none;
  border-bottom: none;
  background-color: var(--main-color-green);
  pointer-events: none;
}
.section-event .event-date {
  padding-block: 72px 56px;
  font-size: 1.8rem;
  font-weight: 500;
  text-align: center;
}
.section-event .event-date span {
  font-size: 2.4rem;
  font-weight: bold;
}
.section-event .event-date time::after {
  content: var(--date-text, "");
  font-size: 0;
}
.section-event .event-list {
  max-width: 1290px;
  margin: 0 auto;
  padding-inline: 30px;
  display: grid;
  grid-template-columns: repeat(auto-fill, 274px);
  gap: 56px;
  justify-content: center;
}
.section-event .event-list:not(:has(li)) {
  display: block;
  text-align: center;
}
.section-event .event-list li {
  position: relative;
}
.section-event .event-list .new-shop {
  position: absolute;
  inset: -28px auto auto -28px;
  z-index: 10;
  width: 56px;
}
.section-event .event-list .list-image {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 274px;
  aspect-ratio: 1 / 1;
  margin-bottom: 10px;
  overflow: hidden;
  background: var(--newtral-200);
}
.section-event .event-list .list-image img {
  position: relative;
  z-index: 5;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.section-event .event-list .list-image.no-image img {
  max-width: 60%;
  width: auto;
  height: auto;
}
.section-event .event-list .list-text {
  font-size: 1.8rem;
  font-weight: bold;
  line-height: 1.5;
}
.section-event .event-list .calendar-date,
.section-event .event-list .place-flag {
  padding-top: 6px;
  padding-left: 22px;
  text-indent: -22px;
  font-size: 1.4rem;
  font-weight: 400;
  overflow: hidden;
  display: -webkit-box;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.section-event .event-list .calendar-date img,
.section-event .event-list .place-flag img {
  display: inline-block;
  width: 16px;
  margin-right: 5px;
  vertical-align: sub;
}

/* --------------------  detail  ---------------------- */

.contents-area {
  width: 1100px;
  max-width: calc(100% - 60px);
  margin: 0 auto;
  padding-bottom: 56px;
}
.contents-area .post-date {
  position: relative;
  margin-bottom: 10px;
  font-size: 1.6rem;
}
.contents-area .post-date .new {
  display: inline-block;
  font-family: var(--font-family-en);
  font-size: 1.6rem;
  font-weight: 500;
  color: var(--sub-color-orange);
  border: 1px solid var(--sub-color-orange);
  border-radius: 4px;
  padding: 3px 4px;
  margin-right: 8px;
}
.contents-area .post-title {
  margin-bottom: 16px;
  padding-bottom: 16px;
  font-size: 2.2rem;
  line-height: 1.5;
  border-bottom: 1px solid var(--img-frame-border);
}
.contents-area .post-image {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background: var(--newtral-200);
}
.contents-area .post-image img {
  position: relative;
  z-index: 5;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.contents-area .post-image.no-image img {
  max-width: 60%;
  width: auto;
  height: auto;
}
.contents-area img#emoji {
  padding: 0;
  width: auto;
  height: 1em;
  vertical-align: -0.15em;
}
.contents-area dl {
  display: flex;
  align-items: flex-start;
}
.contents-area dl + dl {
  padding-top: 16px;
}
.contents-area dl dt {
  display: flex;
  gap: 6px;
  align-items: center;
  justify-content: space-between;
  flex-shrink: 0;
  margin-right: 12px;
  padding: 4px 6px;
  font-size: 1.6rem;
  font-weight: 500;
  letter-spacing: 0.02em;
  background: var(--green-50);
}
.contents-area .post-place dt {
  padding-left: 25px;
}
/* .contents-area dl svg {
  margin-right: 20px;
} */
.contents-area dl dd {
  display: flex;
  align-items: center;
  font-size: 1.6rem;
  line-height: 1.5;
  padding-top: 4px;
}
.contents-area .post-table {
  border-collapse: collapse;
  width: 100%;
  margin-block: 24px;
}
.contents-area .post-table th,
.contents-area .post-table td {
  padding: 12px;
  border: 1px solid var(--img-frame-border);
}
.contents-area .post-table th {
  background-color: var(--green-50);
  font-size: 1.4rem;
  font-weight: bold;
  width: 270px;
}
.contents-area .post-table td {
  font-size: 1.3rem;
  line-height: 1.5;
}
.contents-area .post-link,
.contents-area .post-link-pdf {
  position: relative;
  display: inline-block;
  padding-top: 24px;
  font-size: 1.6rem;
  line-height: 1.5;
  text-decoration: underline;
  color: var(--main-color-green);
}
.contents-area .post-link-pdf::after {
  content: "";
  position: absolute;
  right: -35px;
  bottom: 0;
  width: 28px;
  height: 28px;
  background: url("../img/pdf-icon.svg") no-repeat center center / 100% 100%;
}
.contents-area .post-sns {
  margin-top: 64px;
  padding-top: 32px;
  border-top: 1px solid var(--img-frame-border);
  font-size: 1.6rem;
  text-align: center;
}
.contents-area .post-sns > p {
  line-height: 2;
}
.contents-area .post-sns .sns-list {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-top: 8px;
}
.contents-area .post-sns .sns-list::before {
  content: none;
}
.contents-area .post-sns .sns-list img {
  width: 44px;
}
.contents-area + .btn-box {
  margin-bottom: 72px;
}


@media (min-width: 768px) {
  .contents-area .post-header,
  .contents-area dl {
    clear: right;
    float: right;
    width: calc(50% - 50px);
  }
  .contents-area .post-image {
    float: left;
    width: 50%;
  }
  .contents-area .post-text {
    clear: both;
    padding-top: 40px;
    margin-bottom: 24px;
    font-size: 1.6rem;
    line-height: 2;
  }
  /* .contents-area .post-place svg {
    margin-right: 18px;
  } */
}


@media (max-width: 767.999px) {
  .section-event .event-date {
    padding-block: 48px;
    font-size: 1.6rem;
  }
  .calendar-box {
    width: 100%;
    max-width: 100%;
    padding-inline: 16px;
    margin: 40px auto 32px;
  }
  .calendar-list {
    gap: 6px;
  }
  .section-event .event-date span {
    font-size: 2.2rem;
  }
  .calendar-item.pc-only {
    display: none;
  }
  .calendar-item {
    width: min(10vw, 50px);
    min-width: 42px;
    padding-top: max(1vw, 5px);
  }
  .calendar-item .month {
    position: relative;
    top: -1px;
    left: 1px;
    font-size: 0.9rem;
    letter-spacing: 0.06em;
  }
  .calendar-item .month.c2 {
    padding-left: 1px;
    letter-spacing: -0.02em;
  }
  .calendar-item .month.c2 + .day {
    padding-left: 1px;
  }
  .calendar-item .day {
    font-size: 1.7rem;
  }
  .calendar-item .dow {
    font-size: 0.7rem;
  }
  .section-event .tab-list {
    padding-inline: 8px;
    margin-inline: 14px;
    gap: 8px;
  }
  .section-event .tab-list li {
    height: 40px;
  }
  .section-event .tab-list li:has(a.active) {
    height: 48px;
  }
  .section-event .tab-list li a {
    font-size: 1.2rem;
  }
  .section-event .tab-list li a.active {
    font-size: 1.3rem;
  }
  .section-event .event-list {
    grid-template-columns: repeat(auto-fill, calc(50% - 10px));
    gap: 40px 20px;
    padding-inline: 16px;
  }
  .section-event .event-list li {
    width: 274px;
    max-width: 100%;
    margin-inline: auto;
  }
  .section-event .tab-list li:has(a.active) {
    height: 48px;
  }
  .section-event .event-list:not(:has(li)) {
    display: block;
    text-align: center;
    padding: 0 20px 48px;
  }
  .section-event .event-list .new-shop {
    width: 34px;
    inset: -12px auto auto -12px;
  }
  .section-event .event-list .list-text {
    font-size: 1.4rem;
  }
  .section-event .event-list .calendar-date {
    padding-top: 8px;
    font-size: 1.2rem;
  }
  .section-event .event-list .place-flag {
    padding-top: 4px;
  }
  .section-event .event-list .calendar-date,
  .section-event .event-list .place-flag {
    padding-left: 14px;
    text-indent: -14px;
    font-size: 1.1rem;
  }
  .section-event .event-list .calendar-date img,
  .section-event .event-list .place-flag img {
    width: 11px;
    margin-right: 4px;
    vertical-align: middle;
  }

  /* --------------------  detail  ---------------------- */

  .contents-area {
    width: 100%;
    max-width: 100%;
    padding-inline: 16px;
    padding-bottom: 70px;
  }
  .contents-area header {
    display: block;
  }
  .contents-area .post-date {
    margin-bottom: 10px;
  }
  .contents-area .post-title {
    font-size: 2.4rem;
  }
  .contents-area .post-image {
    margin-bottom: 20px;
    width: 100%;
    max-width: 358px;
    margin-inline: auto;
  }
  .contents-area .post-image:has(.no-image) {
    display: grid;
    place-items: center;
    aspect-ratio: 1 / 1;
    margin-inline: auto;
  }
  .contents-area dl:has(+ .post-text) {
    margin-bottom: 30px;
  }
  .contents-area dl dt {
    margin-right: 12px;
    padding-inline: 14px 4px;
    font-size: 1.4rem;
  }
  .contents-area .post-place dt {
    padding-left: 13px;
  }
  .contents-area dl svg {
    width: 12px;
  }
  .contents-area dl dd {
    font-size: 1.4rem;
  }
  .contents-area .post-text {
    font-size: 1.4rem;
    padding-top: 0;
    line-height: 2;
  }
  .contents-area .post-table th,
  .contents-area .post-table td {
    padding: 8px;
  }
  .contents-area .post-table th {
    width: 120px;
    font-size: 1.3rem;
  }
  .contents-area .post-link,
  .contents-area .post-link-pdf {
    font-size: 1.4rem;
  }
  .contents-area .post-sns {
    margin-top: 64px;
    padding-top: 20px;
    font-size: 1.4rem;
  }
  .contents-area .post-sns .sns-list {
    flex-direction: row;
  }
  .contents-area .post-sns .sns-list li {
    width: 46px;
  }
  .contents-area + .btn-box {
    margin-bottom: 40px;
  }
}
